Bug 1885604 - [abrt] dnf: CRYPTO_zalloc(): python3.8 killed by SIGSEGV
Summary: [abrt] dnf: CRYPTO_zalloc(): python3.8 killed by SIGSEGV
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 32
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukáš Hrázký
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:243eb8544f8d7155b01c22a10fb...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-06 13:41 UTC by Patryk
Modified: 2021-05-27 06:17 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-18 14:16:03 UTC
Type: ---


Attachments (Terms of Use)
File: _var_log_dnf.log (1014.67 KB, text/plain)
2020-10-06 13:41 UTC, Patryk
no flags Details
File: backtrace (193.37 KB, text/plain)
2020-10-06 13:41 UTC, Patryk
no flags Details
File: core_backtrace (22.13 KB, text/plain)
2020-10-06 13:41 UTC, Patryk
no flags Details
File: cpuinfo (2.30 KB, text/plain)
2020-10-06 13:41 UTC, Patryk
no flags Details
File: dnf-makecache.log (382.41 KB, text/plain)
2020-10-06 13:41 UTC, Patryk
no flags Details
File: dso_list (13.07 KB, text/plain)
2020-10-06 13:41 UTC, Patryk
no flags Details
File: environ (2.14 KB, text/plain)
2020-10-06 13:41 UTC, Patryk
no flags Details
File: exploitable (118 bytes, text/plain)
2020-10-06 13:41 UTC, Patryk
no flags Details
File: limits (1.29 KB, text/plain)
2020-10-06 13:41 UTC, Patryk
no flags Details
File: maps (77.60 KB, text/plain)
2020-10-06 13:41 UTC, Patryk
no flags Details
File: mountinfo (2.48 KB, text/plain)
2020-10-06 13:41 UTC, Patryk
no flags Details
File: open_fds (3.61 KB, text/plain)
2020-10-06 13:41 UTC, Patryk
no flags Details
File: proc_pid_status (1.28 KB, text/plain)
2020-10-06 13:41 UTC, Patryk
no flags Details

Description Patryk 2020-10-06 13:41:01 UTC
Version-Release number of selected component:
dnf-4.2.23-1.fc32

Additional info:
reporter:       libreport-2.13.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/apps.slice/apps-org.gnome.Terminal.slice/vte-spawn-ca5169ef-458d-41cf-a9e3-2a717185da8d.scope
cmdline:        /usr/bin/python3 /usr/bin/dnf update
crash_function: CRYPTO_zalloc
executable:     /usr/bin/python3.8
journald_cursor: s=f7c16cde027743a2805750727d824692;i=c0300;b=7e4ecf03ae334b5f90dd77f4d160a473;m=8213b505;t=5b038d852753b;x=d4b9ad6c31302d0e
kernel:         5.8.10-200.fc32.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #3 CRYPTO_zalloc at crypto/mem.c:230
 #4 sk_reserve at crypto/stack/stack.c:180
 #5 OPENSSL_sk_insert at crypto/stack/stack.c:242
 #6 sk_X509_NAME_ENTRY_push at include/openssl/x509.h:75
 #7 x509_name_canon at crypto/x509/x_name.c:345
 #9 x509_name_ex_d2i at crypto/x509/x_name.c:191
 #10 asn1_item_embed_d2i at crypto/asn1/tasn_dec.c:215
 #11 asn1_template_noexp_d2i at crypto/asn1/tasn_dec.c:624
 #12 asn1_template_ex_d2i at crypto/asn1/tasn_dec.c:499
 #13 asn1_item_embed_d2i at crypto/asn1/tasn_dec.c:363

Comment 1 Patryk 2020-10-06 13:41:12 UTC
Created attachment 1719407 [details]
File: _var_log_dnf.log

Comment 2 Patryk 2020-10-06 13:41:14 UTC
Created attachment 1719408 [details]
File: backtrace

Comment 3 Patryk 2020-10-06 13:41:16 UTC
Created attachment 1719409 [details]
File: core_backtrace

Comment 4 Patryk 2020-10-06 13:41:18 UTC
Created attachment 1719410 [details]
File: cpuinfo

Comment 5 Patryk 2020-10-06 13:41:24 UTC
Created attachment 1719411 [details]
File: dnf-makecache.log

Comment 6 Patryk 2020-10-06 13:41:26 UTC
Created attachment 1719412 [details]
File: dso_list

Comment 7 Patryk 2020-10-06 13:41:27 UTC
Created attachment 1719413 [details]
File: environ

Comment 8 Patryk 2020-10-06 13:41:29 UTC
Created attachment 1719414 [details]
File: exploitable

Comment 9 Patryk 2020-10-06 13:41:31 UTC
Created attachment 1719415 [details]
File: limits

Comment 10 Patryk 2020-10-06 13:41:33 UTC
Created attachment 1719416 [details]
File: maps

Comment 11 Patryk 2020-10-06 13:41:35 UTC
Created attachment 1719417 [details]
File: mountinfo

Comment 12 Patryk 2020-10-06 13:41:37 UTC
Created attachment 1719418 [details]
File: open_fds

Comment 13 Patryk 2020-10-06 13:41:38 UTC
Created attachment 1719419 [details]
File: proc_pid_status

Comment 14 Lukáš Hrázký 2020-10-07 11:18:35 UTC
Hello Patryk, thanks for the report. Are you able to reproduce this reliably or was it one time only?

If it was a one-time occurrence, it looks like a rare memory corruption bug we are having and are so far unable to pinpoint. There was, however, a fix in libsolv (in version 7.15) recently that might be a possible culprit. It hasn't been released to Fedora yet, but you can get it from our nightly repo:

dnf copr enable rpmsoftwaremanagement/dnf-nightly
dnf update libsolv

If you are getting the crashes at least semi-regularly and were able to tell us the libsolv upgrade fixed it, that would be a valuable information to us.

Comment 15 Lukáš Hrázký 2020-11-18 14:16:03 UTC
Closing for inactivity, if you encounter this again and have more info to share, don't hesitate to reopen. Thanks.


Note You need to log in before you can comment on or make changes to this bug.